Description

try to make the kepler.exe file not open a dos box with windows.

History

#1 - 04/30/2008 11:55 AM - Chad Berkley

| don't see how to easily do this, so I'm going to leave it as is.

#2 - 04/30/2008 12:20 PM - Christopher Brooks

Kepler.exe is created using Launch4j.
Docs are at http:/launch4j.sourceforge.net/docs.html#Configuration_file
Ptolemy also uses Launch4j, but does not have a DOS console.

installer/build/launch-kepler.xml has the line:
<headerType>console</headerType>

ptll7.0.1/adm/gen-7.0/ptlI7_0_1_setup_l4j.xml has:
<headerType>gui</headerType>

This might do it.

Another thing is to look at stayAlive.
Kepler:
<stayAlive>false</stayAlive>
Ptolemy:
<stayAlive>true</stayAlive>

One advantage to the DOS console is that stdout is preserved and
available to the user. However, this is not very polished, instead
stdout should be remapped to a log file. Most applications that
are invoked from a menu choice do not bring up a dos window.

I'm reopening this pending the above changes.

#3 - 04/30/2008 02:01 PM - Daniel Crawl

The configuration was changed from gui to console so that stdout would appear.
I'm not sure sending it to a log file is appropriate in all cases, e.qg.,
kepler.exe -h

#4 - 04/30/2008 03:16 PM - Christopher Brooks

I'm removing the block on 3245 for this bug, but leaving
it open. I'm also changing this to an enhancment.
Feel free to override.

The DOS window is an intended feature, not a bug.

| feel that the .exe should not open the DOS window, but having
the stdout and stderr is important. A case could be made
that this should be logged somewhere rather than disappearing.

The fix for this bug is: If kepler.exe is invoked from a menu,

then stderr and stdout should be redirected to log file.

If kepler.exe or kepler.sh is invoked from a command line,

then it would be nice if stderr and stdout appeared in the command line.
#5 - 04/30/2008 03:26 PM - Christopher Brooks

Reopening this an an enhancement (Forgot to leave it open last time).

#6 - 05/01/2008 11:17 AM - Chad Berkley

maybe as a compromise, we could have kepler.exe and kepler-console.exe. The first would not open the dos box, the latter would. The default
would be kepler.exe (i.e. the shortcuts in the start menu and desktop would point to it).

#7 - 05/02/2008 11:20 AM - Daniel Crawl

kepler.exe has been changed back to a gui application and kepler-console.bat
added. (We chose .bat instead of .exe so that users can see the java command
to invoke kepler).

#8 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3250
